Accounts
Sign an account proposal
[Admin Only] Submits a signature for an account proposal. Only admin API members can make requests to this endpoint.
POST
cURL
Authorizations
API key authentication. Include your API key in the Authorization header.
Headers
Idempotency key for safely retrying mutation requests.
Path Parameters
Body
application/json
Response
Account proposal signed
- Accounts Create
- Accounts Update
Example:
{
"id": "prop_acc_create_123",
"resourceType": "accounts",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury",
"networkIds": [1, 137]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "account",
"id": "acc_new1",
"uri": "/api/v1/accounts/acc_new1"
}
]
}
}cURL